Trouble logging into AnkiHub

I haven’t used Anki in a while, I have an active AnkiHub subscription and I can log into it on my browser, however it just says there’s an error and logging in is impossible, I have tried removing the add-on and downloading it again but it didn’t work, can someone help?

Error message (don't change this)
Anki 24.04 (429bc9e1)  (ao)
Python 3.9.18 Qt 6.6.2 PyQt 6.6.1
Platform: Windows-10-10.0.19044

Traceback (most recent call last):

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 246, in _send_request_with_retry
    response = self._send_request_with_retry_inner(

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 289, in wrapped_f
    return self(f, *args, **kw)

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 379, in __call__
    do = self.iter(retry_state=retry_state)

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 326, in iter
    raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x19b32299370 state=finished raised SSLError>]


During handling of the above exception, another exception occurred:


Traceback (most recent call last):

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 254, in _send_request_with_retry
    response = last_attempt.result()

  File "concurrent.futures._base", line 439, in result

  File "concurrent.futures._base", line 391, in __get_result

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\lib\tenacity\__init__.py", line 382, in __call__
    result = fn(*args, **kwargs)

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 269, in _send_request_with_retry_inner
    response = session.send(request, stream=stream, timeout=timeout)

  File "requests.sessions", line 703, in send

  File "requests.adapters", line 517, in send

requests.exceptions.SSLError: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/login/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1129)')))


The above exception was the direct cause of the following exception:


Traceback (most recent call last):

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\gui\menu.py", line 186, in login
    token = ankihub_client.login(credentials=credentials)

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 275, in login
    response = self._send_request("POST", API.ANKIHUB, "/login/", json=credentials)

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 228, in _send_request
    response = self._send_request_with_retry(

  File "C:\Users\ezare\AppData\Roaming\Anki2\addons21\1322529746\ankihub_client\ankihub_client.py", line 256, in _send_request_with_retry
    raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host='app.ankihub.net', port=443): Max retries exceeded with url: /api/login/ (Caused by SSLError(SSLCertVerificationError(1, '[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: certificate has expired (_ssl.c:1129)')))

Sentry link (for developers)

I haven’t used Anki in a while, I have an active AnkiHub subscription and I can log into it on my browser, however it just says there’s an error and logging in is impossible. I have tried removing the add-on and downloading it again, reseting the password, I verified the email that Anki sent me, I reset the password a second time but nothing seems to be working, can someone help?

Hello,

Can you take a screenshot on what the error message is?

Here you go, sorry for the delay.

Same thing is going on for me as well, I need help, too…

I am trying to figure it out since I am getting the same error as this person, does it have something to do with OpenSSL?.. I have no idea…

cc @abdo.nh

2 posts were merged into an existing topic: Step 1 and 2 overlap

The latest Anki release (released yesterday) should fix this. Can you try it and let us know whether the issue goes away?

EDIT: Just saw you’re using the latest version @Divi_filius

@mochibunny What’s your operating system? Can you go to Help > About, click Copy Debug Info and paste the text here?

@Divi_filius Do you have any trouble accessing https://app.ankihub.net/ on Microsoft Edge? Is the lock icon in the address bar saying something other than “Connection is secure”?

image

I noticed you have an older version of Windows 10. If you can, I recommend installing the latest Windows updates and see if that fixes the issue.

OK, I fixed it temporarily for now by just downgrading Anki to 23.12 via the old installer I had in my downloads folder back in January 2024 . . .

1 Like
Edition Windows 10 Home
Version 21H2
Installed on ‎1.‎5.‎2023 ‎г.
OS build 19044.2846
Experience Windows Feature Experience Pack 120.2212.4190.0

image

It says ‘Connection is secure’, tell me if you need any other info, it’s still not fixed

I was able to reproduce the issue on a Windows sandbox and found a working solution. For anyone facing the issue, please try the following steps and let us know whether that works for you:

  1. Open https://app.ankihub.net/ in Microsoft Edge.
  2. Click the lock icon in the address bar then click on “Connection is secure”
    image
  3. Click on the icon to the right
    image
  4. Go to the Details tab and click the Export button
  5. Save the file somewhere (e.g. Downloads or Desktop)
  6. Open the file then click the Install Certificate button.
  7. Accept the default options by clicking Next


  8. After clicking Finish the following message should appear and you should now be able to log in to AnkiHub in the add-on.
    image

God bless you! I have been trying for hours and hours to fix this. How did you figure this out?? and reproduce it?

Your fix worked somehow and I am eternally grateful for that, however I am now convinced you are some sort of mad genius wizard, like there’s no way you just found a way to reproduce this…

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.